package com.m2pool.pool.service;


import com.m2pool.common.core.web.Result.AjaxResult;
import com.m2pool.pool.vo.*;

import javax.validation.constraints.Email;

/**
 * @Description 谷歌验证器服务类
 * @Date 2024/8/19 11:40
 * @Author dy
 */
public interface GoogleAuthService {

    /**
     * 判断账户是否绑定谷歌验证器
     * @return
     */
    public AjaxResult ifBind();

    /**
     * 判断邮箱是否绑定谷歌验证器
     * @return
     * @param vo
     */
    public AjaxResult emailIfBind(EmailVo vo);
    /**
     * 获取google两步验证二维码和安全码字符串
     * @return
     */
    public AjaxResult getBindInfo();

    /**
     * 绑定谷歌验证器
     * @param vo
     * @return
     */
    public AjaxResult bindGoogle(GoogleBindVo vo);

    /**
     * 获取谷歌绑定邮箱验证码
     * @return
     */
    public AjaxResult getBindCode();


    /**
     * 获取谷歌绑定邮箱验证码
     * @return
     */
    public AjaxResult closeStepTwp(GoogleCloseVo vo);

    /**
     * 获取关闭谷歌绑定邮箱验证码
     * @return
     */
    public AjaxResult getCloseCode();

}
